Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_ETCL_FilterFactory Class Reference

@brief. More...

`#include <ETCL_FilterFactory.h>`

Inheritance diagram for TAO_NS_ETCL_FilterFactory:

[legend]
Collaboration diagram for TAO_NS_ETCL_FilterFactory:

[legend]
List of all members.

## Public Methods
| TAO_NS_ETCL_FilterFactory (void)
| Constuctor. More...
| ~TAO_NS_ETCL_FilterFactory ()
| Destructor. More...
virtual CosNotifyFilter::FilterFactory_ptr | create (ACE_ENV_SINGLE_ARG_DECL)
| = TAO_NS_FilterFactory methods. More...
virtual CosNotifyFilter::Filter_ptr | create_filter (const char *constraint_grammar ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )
| = CosNotifyFilter::FilterFactory methods. More...
virtual CosNotifyFilter::MappingFilter_ptr | create_mapping_filter (const char *constraint_grammar, const CORBA::Any &default_value ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_NS_ETCL_FilterFactory::TAO_NS_ETCL_FilterFactory | ( | void |  | ) |

| Constuctor.

TAO_NS_ETCL_FilterFactory::~TAO_NS_ETCL_FilterFactory | ( |  | ) |

| Destructor.

## Member Function Documentation

CosNotifyFilter::FilterFactory_ptr TAO_NS_ETCL_FilterFactory::create | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| = TAO_NS_FilterFactory methods. Reimplemented from TAO_NS_FilterFactory.

CosNotifyFilter::Filter_ptr TAO_NS_ETCL_FilterFactory::create_filter | ( | const char *constraint_grammar | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )`[virtual]`

| = CosNotifyFilter::FilterFactory methods.

virtual CosNotifyFilter::MappingFilter_ptr TAO_NS_ETCL_FilterFactory::create_mapping_filter | ( | const char * | constraint_grammar,
|  | const CORBA::Any &default_value | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException, CosNotifyFilter::InvalidGrammar )`[virtual]`

The documentation for this class was generated from the following files:

- ETCL_FilterFactory.h
- ETCL_FilterFactory.cpp